%define major 1

Summary: LDAP servers and sample clients.
Name: openldap%{major}
Version: 1.2.11
Release: 2mdk
Copyright: Artistic
Group: System/Servers
Source0: ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/%{name}-%{version}.tar.bz2
Source1: ldap.init
URL: http://www.openldap.org
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: tcp_wrappers-devel
Prefix: %{_prefix}
Requires: libldap%{major}

%description
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  The suite includes a
stand-alone LDAP server (slapd), a stand-alone LDAP replication server
(slurpd), libraries for implementing the LDAP protocol, and utilities,
tools, and sample clients.
Install openldap if you need LDAP applications and tools.

%package -n libldap%{major}
Summary: OpenLDAP libraries.
Group: System/Libraries

%description -n libldap%{major}
This package includes thelibraries needed for make works ldap applications.


%package -n libldap%{major}-devel
Summary: OpenLDAP development libraries and header files.
Group: Development/C
Provides: libldap-devel, openldap-devel
Requires: libldap%{major} = %{version}
Obsoletes: openldap-devel

%description -n libldap%{major}-devel
This package includes the development libraries and header files
needed for compiling applications that use LDAP internals.  Install
this package only if you plan to develop or will need to compile
customized LDAP clients.

%prep
%setup -q -n openldap-%{version}

%build
%serverbuild

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
	--sysconfdir=%{_sysconfdir} --enable-passwd --without-kerberos \
	--enable-shell --enable-shared --enable-wrappers \
	--localstatedir=/var/run --libexecdir=%{_sbindir} \
	--mandir=%{_mandir}

%make depend
%make DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%makeinstall prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir}/openldap \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	libexecdir=$RPM_BUILD_ROOT%{_sbindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

# hack the default config files
perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/etc/openldap/slapd.conf
# we don't need the default files move to share dir
rm -f $RPM_BUILD_ROOT/etc/openldap/*.default

# install init script and var dir
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/ldap
mkdir -p $RPM_BUILD_ROOT/var/lib/ldap

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/openldap
mv $RPM_BUILD_ROOT/%{_datadir}/{go500gw.help,ldapfriendly,rcpt500.help} $RPM_BUILD_ROOT/%{_datadir}/openldap/

%clean 
rm -rf $RPM_BUILD_ROOT

%post -n libldap%{major} -p /sbin/ldconfig

%postun -n libldap%{major} -p /sbin/ldconfig

%post
%_post_service ldap

%preun
%_preun_service ldap

%files
%defattr(-,root,root)
%doc ANNOUNCEMENT CHANGES COPYRIGHT LICENSE README doc/rfc/*.txt
%config (noreplace) /etc/rc.d/init.d/ldap
%config (noreplace) %{_sysconfdir}/openldap/
%{prefix}/bin/*
%{prefix}/sbin/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_datadir}/openldap
%dir /var/lib/ldap

%files -n libldap%{major}
%defattr(-,root,root)
%{prefix}/lib/*.so.*

%files -n libldap%{major}-devel
%defattr(-,root,root)
%doc doc/devel/guidelines doc/devel/todo 
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.la
%{prefix}/include/*
%{_mandir}/man3/*

%changelog
* Mon Apr  2 2001 Vincent Saugey <vince@mandrakesoft.com> 1.2.11-2mdk
- Adding server maccro

* Fri Mar  9 2001 Vincent Saugey <vince@mandrakesoft.com> 2.0.7-3mdk
- Rebuild with sasl support
- Correct bad link in man page

* Mon Feb 19 2001 Vincent Saugey <vince@mandrakesoft.com> 2.0.7-2mdk
- adding provide openldap-devel to libldap-devel package

* Tue Feb 13 2001 Vincent Saugey <vince@mandrakesoft.com> 2.0.7-1mdk
- Libificatizication
- Up to 2.0.7 (promize at French linux-expo, sorry for late)
- Update Migration tools to 2.0.7

* Tue Oct 17 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.6-1mdk
- Up to 2.0.6
- Macrozification

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 1.2.9-7mdk
- rebuilt with _mandir macro

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.9-6mdk.
- Remove make tests.

* Fri Apr 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.9-5mdk
- Move default databases to /var/lib/ldap and not /usr/tmp/
- Add redhat patch.
- Clean up.

* Tue Mar 21 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- error in changelog

* Mon Mar 13 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- Upgrade to versin 1.2.9
- use of _prefix

* Tue Nov 30 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- Upgrade version of MigrationTools.
- use of _tmppath and prefix

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Get your life easy, patch the sources for bzman.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.7
- fix some bugs from bugzilla (#4885, #4887, #4888, #4967)
- take include files out of base package

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- missing ;; in init script reload) (#4734).

* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- move stuff from /usr/libexec to /usr/sbin
- relocate config dirs to /etc/openldap

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- add the migration tools to the package

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to 1.2.6
- add rc.d script
- split -devel package

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to latest stable (1.1.4), it now uses configure macro.

* Fri Jan 15 1999 Bill Nottingham <notting@redhat.com>
- build on arm, glibc2.1

* Wed Oct 28 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
- patches for signal handling on the alpha
